image: node:latest

# Cache modules in between jobs
cache:
  untracked: true
  paths:
    - node_modules/

stages:
  - setup
  - deploy

setup_dependencies:
  stage: setup
  script:
    - npm install --development --cache node_modules --prefer-offline

deploy_staging:
  stage: deploy
  image: ruby:latest
  script:
    - apt-get update -qy
    - apt-get install -y ruby-dev
    - gem install dpl
    - dpl --provider=heroku --app=$HEROKU_APP_NAME --api-key=$HEROKU_API_KEY
